Subject: Re: bug#16839: 24.3.50; image-mode-fit-frame fails to use all display space with image larger than display

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 26 Sep 2019 19:03:21 +0200

[email-masked] (N. Jackson) writes:

> In any case the image-mode-fit-frame function still seems to be
> broken. The documented behaviour is:
>
>     If called interactively, or if TOGGLE is non-nil, toggle between
>     fitting FRAME to the current image and restoring the size and
>     window configuration prior to the last ‘image-mode-fit-frame’
>     call.
>
> The toggling makes it slightly confusing to figure out what's going
> on but it seems that the function is only doing half of its job.
>
> When it needs to adjust only the height of the frame and when it
> needs to adjust only the width of the frame, the function seems to
> work correctly. But when it needs to adjust both the height and the
> width, it only adjusts the height and fails to adjust the width.

I'm not quite sure whether I'm reproducing this right...  If I `C-x C-f'
a big image file, then readjust the Emacs frame to be smaller than that
image, and then say `M-x image-mode-fit-frame', it does expand both
width and height to fit that image as displayed.

Are you still seeing this problem in Emacs 27?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no